> ## Documentation Index
> Fetch the complete documentation index at: https://developer.gptmaker.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Pegar Webhooks

> Obtém os webhooks configurados em um agente



## OpenAPI

````yaml GET /v2/agent/{agentId}/webhooks
openapi: 3.0.1
info:
  title: OpenAPI GPT Maker
  description: Documentação completa da API do GPT Maker
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.gptmaker.ai
security:
  - bearerAuth: []
paths:
  /v2/agent/{agentId}/webhooks:
    get:
      description: Obtém os webhooks configurados em um agente
      parameters:
        - name: agentId
          in: path
          description: ID do agente
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Webhooks
          content:
            application/json:
              schema:
                type: object
                properties:
                  onNewMessage:
                    type: string
                    description: >-
                      Webhook disparado automaticamente sempre que uma nova
                      mensagem chega em um chat.
                  onLackKnowLedge:
                    type: string
                    description: >-
                      Webhook disparado quando o agente não sabe responder a uma
                      pergunta.
                  onTransfer:
                    type: string
                    description: >-
                      Webhook disparado quando o agente transfere o atendimento
                      para um humano.
                  onFirstInteraction:
                    type: string
                    description: >-
                      Webhook disparado automaticamente assim que o primeiro
                      atendimento com o cliente é iniciado.
                  onStartInteraction:
                    type: string
                    description: >-
                      Webhook disparado automaticamente sempre que um
                      atendimento com o cliente é iniciado.
                  onFinishInteraction:
                    type: string
                    description: >-
                      Webhook disparado automaticamente sempre que um
                      atendimento é finalizado.
                  onCreateEvent:
                    type: string
                    description: >-
                      Webhook disparado automaticamente sempre que um
                      agendamento é realizado.
                  onCancelEvent:
                    type: string
                    description: >-
                      Webhook disparado automaticamente sempre que um
                      agendamento é cancelado.
        '400':
          description: Erro inesperado
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Erro de token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  schemas:
    Error:
      required:
        - error
      type: object
      properties:
        error:
          type: string
    Error403:
      required:
        - error
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````